from gpiozero import PWMLED
import time
# Write your program below

ledValueDelta = 0.01
interval = 0.01

led = PWMLED(21)
led.on()

while True:
    try:
        newIntensity = led.value - ledValueDelta
        if newIntensity >= 0:
            led.value = newIntensity
            time.sleep(interval)
        else:
            break
    except KeyboardInterrupt:
        break

led.off()
